#pragma once
#include <iostream>
#include <vector>
namespace RLDoom {
	namespace Graphics {
		struct DoomColor {
			unsigned char r, g, b;
		};

		struct Color : public DoomColor{
			unsigned char a;
		};
		
		using Palette = std::vector<DoomColor>;
		
		typedef uint8_t PaletteColor;

		using PlayPal = std::vector<Palette>;
		PlayPal LoadPlayPal(std::string data);

		using ColorMap = std::vector<PaletteColor>;
		using ColorMapFile = std::vector<ColorMap>;
		ColorMapFile LoadColorMapFile(std::string data);

	}
}